Skip to Content
Hive
API Referencev1VoIP DSS

Get DSS Gateway by ID

GET
/v1/voip/dss/gtw/{gatewayId}

Retrieve a DSS gateway by ID.

Path Parameters

gatewayId*integer

Response Body

DSS gateway retrieved successfully.

application/json
  1. response

Detailed DSS IP-to-IP gateway returned by the single-gateway endpoints.

trunkType*string
id*integer
sbcId*integer
nome*string
description?string|null
ipAddress?string|null
port?string|null
maxChannel*integer
secondaryIP?string|null
portSecondary?string|null
trafficLimit?integer|null
traffic_consumed*number
Formatdouble
permanentBk*boolean
bkNumber?string|null
blocked*boolean
dualIdentity*boolean
checkPrefix*boolean
lcrId*integer
nome_partner?string|null
organizationId*integer
partnerName?string|null
idCustomer*integer
customerName?string|null
companyName?string|null
presetId?|
Formatint64
actionObject?|null
addressLabel?string|null
lockedFields?array<string>
terminationUri?|

SIP termination endpoint. Currently populated only for Elastic SIP Trunks.

Example Request
curl -X GET 'https://api.eis.it/v1/voip/dss/gtw/0'
Example Response
{  "trunkType": "IP_TO_IP",  "id": 0,  "sbcId": 0,  "nome": "string",  "description": "string",  "ipAddress": "string",  "port": "string",  "maxChannel": 0,  "secondaryIP": "string",  "portSecondary": "string",  "trafficLimit": 0,  "traffic_consumed": 0.1,  "permanentBk": true,  "bkNumber": "string",  "blocked": true,  "dualIdentity": true,  "checkPrefix": true,  "lcrId": 0,  "nome_partner": "string",  "organizationId": 0,  "partnerName": "string",  "idCustomer": 0,  "customerName": "string",  "companyName": "string",  "presetId": 0,  "actionObject": {    "moduleId": 1,    "organizationId": 1,    "objectType": "string",    "objectId": "string",    "context": {      "property1": "string",      "property2": "string"    }  },  "addressLabel": "string",  "lockedFields": [    "string"  ],  "terminationUri": "string"}